Export a presentation
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.presenton.ai/api/v3/presentation/export"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.presenton.ai/api/v3/presentation/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"presentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"edit_path": "<string>",
"credits_consumed": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Export Presentations
Export a presentation
Export an existing Cloud presentation in a supported output format.
POST
/
api
/
v3
/
presentation
/
export
Export a presentation
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.presenton.ai/api/v3/presentation/export"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.presenton.ai/api/v3/presentation/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"presentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"edit_path": "<string>",
"credits_consumed": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Presentation token
Body
application/json
Was this page helpful?